<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:sp="http://www.utc.fr/ics/scenari/v3/primitive" xmlns:sc="http://www.utc.fr/ics/scenari/v3/core" xmlns:sl="http://www.utc.fr/ics/scenari/v3/library" xmlns:pme="kelis.fr:prespme" exclude-result-prefixes="sc sl pme">
	<xsl:output method="xml" indent="yes" omit-xml-declaration="yes"/>
	<xsl:param name="vDialog"/>
	<xsl:param name="vAgent"/>
	
	<xsl:template match="pme:contenu">
	
		<xsl:variable name="vPathAgt">
			<xsl:value-of select="concat('@', getIdNode(..))"/>
		</xsl:variable>
		<xsl:variable name="vTitle">				
			<xsl:value-of select="resultatAgent(concat($vPathAgt, '_title/fullTitleText'))"/>			
		</xsl:variable>
		
		<layout_1>
			<zone id="zone_1" zoneOrder="1" x="25%" y="20%" width="75%" height="80%" leading="5" scenarised="false">
				<titreBig_1><xsl:value-of select="$vTitle"/></titreBig_1>				
				<xsl:for-each select="*[name()!='sl:title']">
					<!-- l'Ã©lÃ©ment peut etre internalisÃ© ou non -->
					<xsl:variable name="vPathAgt">
						<xsl:choose>
							<xsl:when test="@sc:refUri">
								<xsl:value-of select="concat('@', getIdFromPath(@sc:refUri))"/>
							</xsl:when>
							<xsl:otherwise>
								<xsl:value-of select="concat('@', getIdNode(.))"/>
							</xsl:otherwise>
						</xsl:choose>
					</xsl:variable>
					
					<xsl:variable name="vVisibility">
						<xsl:value-of select="resultatAgent(concat($vPathAgt, '/vVisibility'))"/>
					</xsl:variable>
					
					<xsl:variable name="vTitle">
						<xsl:choose>					
							<xsl:when test="sl:title">
								<titreBig_4><xsl:value-of select="resultatAgent(concat($vPathAgt, '_title/titleText'))"/></titreBig_4>
							</xsl:when>
							<xsl:when test="boolean(resultatAgent(concat($vPathAgt, '/titleAgt'))) and resultatAgent(concat($vPathAgt, '/titleAgt'), 'titleText')!='' ">
								<titreBig_4><xsl:value-of select="resultatAgent(concat($vPathAgt, '/titleAgt'), 'titleText')"/></titreBig_4>
							</xsl:when>
							<xsl:when test="boolean(resultatAgent(concat($vPathAgt, '/nameAgt'))) and resultatAgent(concat($vPathAgt, '/nameAgt'), 'fullName')!='' ">
								<titreBig_4><xsl:value-of select="resultatAgent(concat($vPathAgt, '/nameAgt'), 'fullName')"/></titreBig_4>
							</xsl:when>
														
							<xsl:otherwise>
								<xsl:choose>
									<xsl:when test="resultatAgent(concat($vPathAgt, '/title'))!='' ">
										<xsl:value-of disable-output-escaping="yes" select="resultatAgent(concat($vPathAgt, '/titleOnly'),'res:')"/>
									</xsl:when>
									<xsl:otherwise>
										<xsl:if test="local-name() != 'acces'">
										<titreBig_4>
											<xsl:choose>
												<xsl:when test="resultatAgent(concat('@dico/',local-name()))!=''">
													<xsl:value-of select="resultatAgent(concat('@dico/',local-name()))"/>
												</xsl:when>
												<xsl:otherwise>Erreur, créer l'agent <xsl:value-of select="local-name()"/> dans le dico</xsl:otherwise>												
											</xsl:choose>	
										</titreBig_4>
										</xsl:if>
										<xsl:if test="local-name() = 'acces'">
											<titreBig_4>coucou</titreBig_4>
										</xsl:if>
									</xsl:otherwise>
								</xsl:choose>								
							</xsl:otherwise>
							
						</xsl:choose>
					</xsl:variable>
					<xsl:if test="local-name() != 'acces' and $vVisibility != 'hidden'">
						<tBlock_2col marginWidth="10%">
							<subBlock subType="left" width="5%" marginHeight="12">
								<puce_ronde_jaune/>
							</subBlock>
							<subBlock subType="content" leading="0" marginWidth="5">
								<xsl:copy-of select="$vTitle"/>
							</subBlock>
						</tBlock_2col>
					</xsl:if>
				</xsl:for-each>				
			</zone>
		</layout_1>
		
		
	</xsl:template>
	<xsl:template match="*"/>
</xsl:stylesheet>
