<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:sc="http://www.utc.fr/ics/scenari/v3/core" xmlns:sl="http://www.utc.fr/ics/scenari/v3/library" 
		xmlns:sp="http://www.utc.fr/ics/scenari/v3/primitive"
		xmlns:pme="kelis.fr:prespme" exclude-result-prefixes="sc sl pme">
	<xsl:output method="xml" indent="yes" omit-xml-declaration="yes"/>
	<xsl:param name="vDialog"/>
	<xsl:param name="vAgent"/>
	<xsl:template match="pme:evenement">
												
		<sBlock_2col marginHeight="30">
			<subBlock subType="left" width="35%" marginWidth="30">
				<texte_1><xsl:value-of select="resultatAgent('//titleAgt', 'titleText')"/><br/><date><xsl:apply-templates select="sp:date"/></date></texte_1>				
			</subBlock>
			<subBlock subType="content" leading="0"> 
				<xsl:apply-templates select="sp:detail"/>
				<xsl:apply-templates select="sp:ref"/>		
			</subBlock>						
		</sBlock_2col>			

	</xsl:template>
	
	<xsl:template match="sp:*">
		<xsl:variable name="vPathAgt">
			<xsl:choose>
				<xsl:when test="@sc:refUri">
					<xsl:value-of select="concat('@', getIdFromPath(@sc:refUri))"/>
				</xsl:when>
				<xsl:otherwise>
					<xsl:value-of select="concat('@', getIdNode(.))"/>
				</xsl:otherwise>
			</xsl:choose>
		</xsl:variable>
		<xsl:value-of disable-output-escaping="yes" select="resultatAgent(concat($vPathAgt,'/content'))"/>
	</xsl:template>
	
	<xsl:template match="*"/>
</xsl:stylesheet>
