<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:sp="http://www.utc.fr/ics/scenari/v3/primitive" xmlns:sc="http://www.utc.fr/ics/scenari/v3/core" xmlns:sl="http://www.utc.fr/ics/scenari/v3/library" xmlns:pme="kelis.fr:prespme" exclude-result-prefixes="sc sl pme">
	<xsl:output method="xml" indent="yes" omit-xml-declaration="yes"/>
	
	<xsl:param name="vDialog"/>
	<xsl:param name="vAgent"/>
	
	<xsl:template match="pme:produitFiche">		
		<!--<texte_1>coucou</texte_1>-->
		<xsl:for-each select="*[name()!='sl:title']">
			<!-- l'élément peut etre internalisé ou non -->
			<xsl:variable name="vPathAgt">
				<xsl:choose>
					<xsl:when test="@sc:refUri">
						<xsl:value-of select="concat('@', getIdFromPath(@sc:refUri))"/>
					</xsl:when>
					<xsl:otherwise>
						<xsl:value-of select="concat('@', getIdNode(.))"/>
					</xsl:otherwise>
				</xsl:choose>
			</xsl:variable>
			<xsl:variable name="vTitle">
				<xsl:choose>
					<xsl:when test="local-name()='description'">Description</xsl:when>
					<xsl:when test="sl:sTitle"><xsl:value-of select="resultatAgent(concat($vPathAgt, '_title/titleText'))"/></xsl:when>
					<xsl:when test="boolean(resultatAgent(concat($vPathAgt, '/titleAgt')))">
						<xsl:value-of select="resultatAgent(concat($vPathAgt, '/titleAgt'), 'titleText')"/>
					</xsl:when>
					<xsl:otherwise><xsl:value-of select="resultatAgent(concat('@dico/',local-name()))"/></xsl:otherwise>
				</xsl:choose>
			</xsl:variable>
			
			<tBlock_1col>
				<!--
				<subBlock subType="title" >
					<texte_1><xsl:value-of select="$vTitle"/></texte_1>
				</subBlock>-->
				<subBlock subType="content">
					<sBlock_1col>
						<subBlock subType="content">
							<xsl:value-of disable-output-escaping="yes" select="resultatAgent(concat($vPathAgt,'/content'))"/>
						</subBlock>
					</sBlock_1col>						
				</subBlock>
			</tBlock_1col>		
		</xsl:for-each>
	</xsl:template>

	<xsl:template match="*"/>
</xsl:stylesheet>
