<xsl:stylesheet version="1.0" 
			xmlns:xsl="http://www.w3.org/1999/XSL/Transform" 
			xmlns:sc="http://www.utc.fr/ics/scenari/v3/core"
			xmlns:sl="http://www.utc.fr/ics/scenari/v3/library"
			xmlns:pme="kelis.fr:prespme"
			exclude-result-prefixes="sc sl pme">
	<xsl:output method="xml" indent="yes" omit-xml-declaration="yes"/>
	
	<xsl:param name="vDialog"/>
	<xsl:param name="vAgent"/>
	
	<xsl:template match="sl:flowAll">
		
		<xsl:for-each select="*">
			<!-- l'élément peut etre internalisé ou non -->
			<xsl:variable name="vPathAgt">
				<xsl:choose>
					<xsl:when test="@sc:refUri">
						<xsl:value-of select="concat('@', getIdFromPath(@sc:refUri))"/>
					</xsl:when>
					<xsl:otherwise>
						<xsl:value-of select="concat('@', getIdNode(.))"/>
					</xsl:otherwise>
				</xsl:choose>
			</xsl:variable>
			
			<xsl:variable name="vPathInterne">
				<xsl:value-of select="concat('@', getIdNode(.))"/>
			</xsl:variable>
			
			<xsl:variable name="vTitle">
				<xsl:choose>					
					<xsl:when test="sl:sTitle"><xsl:value-of select="resultatAgent(concat($vPathInterne, '_title/titleText'))"/></xsl:when>					
					<!--<xsl:otherwise><xsl:value-of select="local-name()"/></xsl:otherwise>-->
				</xsl:choose>
			</xsl:variable>
			
			<!--
			<xsl:if test="local-name()='image' and $vTitle!='' ">
				<sBlock_1col>
					<subBlock subType="content">			
						<texte_3><xsl:value-of select="$vTitle"/></texte_3>
					</subBlock>			
				</sBlock_1col>
			</xsl:if>
			-->
				
			<sBlock_1col >
				<subBlock subType="content">			
					<xsl:value-of disable-output-escaping="yes" select="resultatAgent(concat($vPathAgt, '/content'))"/>
				</subBlock>			
			</sBlock_1col>
			
		</xsl:for-each>
	</xsl:template>
	
	<xsl:template match="*"/>
	
</xsl:stylesheet>